Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCBooleanValue

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCValue
          com.novell.nds.dirxml.engine.gcv.GCBooleanValue

All Implemented Interfaces:
  ConfigElement

    public class GCBooleanValue

extends GCValue

Class representing "boolean" type Global Configuration Values.

GCVs of type "boolean" may have one of two values:

- "true"
- "false"

In other words, "boolean" values must match the following production:

`Boolean := 'true' | 'false'`

The default value of a newly-constructed `GCBooleanValue` object is `"false"`.

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`modified, parent, TYPE_BOOLEAN, TYPE_DN, TYPE_DN_REF, TYPE_ENUM, TYPE_GCV_REF, TYPE_GROUP, TYPE_HEADER, TYPE_INTEGER, TYPE_LIST, TYPE_PASSWORD_REF, TYPE_REAL, TYPE_STRING, TYPE_SUBORDINATES`

Method Summary
`boolean` | `getBooleanValue()` Return the current value of this instance.
`String` | `getValue()` Return the current value of this instance.
`void` | `parseValue(String value)` Parse the passed value based on the type and instance rules for "boolean" GCVs.
`void` | `setValue(String strValue)` Set the value for this instance.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`construct, construct, constructGCVRef, constructGroup, constructHeader, constructSubordinates, getDescription, getDescriptionRef, getDisplayName, getDisplayNameRef, getHidden, getName, getType, getTypeString, getXMLValue, hasBeenModified, localize, resetModified, setDescription, setDescriptionRef, setDisplayName, setDisplayNameRef, setHidden, toXML, typeFromString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseValue

    public void parseValue(String value)
                    throws GCVException

  Parse the passed value based on the type and instance rules for "boolean" GCVs.

  The passed value must be one of the strings `"true"` or `"false"`.

  Specified by:
    `parseValue` in class `GCValue`
  Parameters:
    `value` - Value `String` to parse
  Throws:
    `GCVException` - thrown if value is not `"true"` or `"false"`.

### getValue

    public String getValue()

  Return the current value of this instance.

  Specified by:
    `getValue` in class `GCValue`
  Returns:
    `"true"` or `"false"`.

### getBooleanValue

    public boolean getBooleanValue()

  Return the current value of this instance.

  Returns:
    `true` or `false`.

### setValue

    public void setValue(String strValue)
                  throws GCVException

  Set the value for this instance.

  The passed value must be one of the strings `"true"` or `"false"`.

  Specified by:
    `setValue` in class `GCValue`
  Parameters:
    `strValue` - Value `String` for this instance.
  Throws:
    `GCVException` - thrown if value is not `"true"` or `"false"`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD